diff -Naur moodle/backup/restorelib.php moodle-conditionals/backup/restorelib.php
--- moodle/backup/restorelib.php	2009-05-11 01:06:30.000000000 +0100
+++ moodle-conditionals/backup/restorelib.php	2009-09-16 13:38:34.000000000 +0100
@@ -5962,11 +6077,75 @@
                         case "IDNUMBER":
                             $this->info->tempmod->idnumber = $this->getContents();
                             break;
+
+                        /// START COMMENTS
+                        case "INFO":
+                            $this->info->tempmod->info = $this->getContents();
+                            break;
+                        /// END COMMENTS
+
                         default:
                             break;
                     }
                 }
 
+                /// START CONDITIONALS
+                if ($this->level == 8) {
+                    switch ($tagName) {
+                        case "DETAILS":
+                            $this->info->tempmod->conditional->details = $this->getContents();
+                            break;
+                        case "INUSE":
+                            $this->info->tempmod->conditional->inuse = $this->getContents();
+                            break;
+                    }
+                }
+                if ($this->level == 9) {
+                    switch ($tagName) {
+                        case "CONDITION":
+                            $this->info->tempmod->conditional->conditions[$this->info->
+                                tempcondition->id]->type = $this->info->tempcondition->type;
+                            $this->info->tempmod->conditional->conditions[$this->info->
+                                tempcondition->id]->subtype = $this->info->tempcondition->subtype;
+                            $this->info->tempmod->conditional->conditions[$this->info->
+                                tempcondition->id]->instance = $this->info->tempcondition->instance;
+                            $this->info->tempmod->conditional->conditions[$this->info->
+                                tempcondition->id]->op = $this->info->tempcondition->op;
+                            $this->info->tempmod->conditional->conditions[$this->info->
+                                tempcondition->id]->value = $this->info->tempcondition->value;
+                            $this->info->tempmod->conditional->conditions[$this->info->
+                                tempcondition->id]->tableid = $this->info->tempcondition->tableid;
+                            unset($this->info->tempcondition);
+                            break;
+                    }
+                }
+                if ($this->level == 10) {
+                    switch ($tagName) {
+                        case "ID":
+                            $this->info->tempcondition->id = $this->getContents();
+                            break;
+                        case "TYPE":
+                            $this->info->tempcondition->type = $this->getContents();
+                            break;
+                        case "SUBTYPE":
+                            $this->info->tempcondition->subtype = $this->getContents();
+                            break;
+                        case "INSTANCE":
+                            $this->info->tempcondition->instance = $this->getContents();
+                            break;
+                        case "OP":
+                            $this->info->tempcondition->op = $this->getContents();
+                            break;
+                        case "VALUE":
+                            $this->info->tempcondition->value = $this->getContents();
+                            break;
+                        case "TABLEID":
+                            $this->info->tempcondition->tableid = $this->getContents();
+                            break;
+                    }
+                }
+                /// END CONDITIONALS
+
                 if (isset($this->tree[7]) && $this->tree[7] == "ROLES_ASSIGNMENTS") {
 
                     if ($this->level == 9) {
@@ -6208,7 +6387,7 @@
                     //Reset temp
                     unset($this->temp);
                 }
-                
+
                 if (($this->level == 5) and ($tagName == "GRADE_LETTER")) {
                     //Prepend XML standard header to info gathered
                     $xml_data = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n".$this->temp;
@@ -6387,7 +6566,7 @@
                     $preference_id = $data["GRADE_PREFERENCE"]["#"]["ID"]["0"]["#"];
                     $this->counter++;
                     //Save to db
-                    $status = backup_putid($this->preferences->backup_unique_code, 'grade_preferences', $preference_id, 
+                    $status = backup_putid($this->preferences->backup_unique_code, 'grade_preferences', $preference_id,
                                            null,$data);
                     //Create returning info
                     $this->info = $this->counter;
@@ -6410,7 +6589,7 @@
                     $letter_id = $data["GRADE_LETTER"]["#"]["ID"]["0"]["#"];
                     $this->counter++;
                     //Save to db
-                    $status = backup_putid($this->preferences->backup_unique_code, 'grade_letter' ,$letter_id, 
+                    $status = backup_putid($this->preferences->backup_unique_code, 'grade_letter' ,$letter_id,
                                            null,$data);
                     //Create returning info
                     $this->info = $this->counter;
@@ -7539,12 +7718,12 @@
             // MDL-9290 performance improvement on reading large xml
             $lasttime = time(); // crmas
             while ($data = fread($fp, 8192) and !$moodle_parser->finished) {
-             
+
                 if ((time() - $lasttime) > 5) {
                     $lasttime = time();
                     backup_flush(1);
                 }
-             
+
                 xml_parse($xml_parser, $data, feof($fp))
                         or die(sprintf("XML error: %s at line %d",
                         xml_error_string(xml_get_error_code($xml_parser)),
diff -Naur moodle/course/conditional/activityinfo.php moodle-conditionals/course/conditional/activityinfo.php
--- moodle/course/conditional/activityinfo.php	1970-01-01 00:00:00.000000000 +0000
+++ moodle-conditionals/course/conditional/activityinfo.php	2009-09-16 13:38:34.000000000 +0100
@@ -0,0 +1,71 @@
+<?php
+
+    require_once('../../config.php');
+    require_once("$CFG->dirroot/course/lib.php");
+
+    require_login();
+
+    $id = optional_param('id', 0, PARAM_INT);
+    $activityinfo = optional_param('activityinfo', NULL);
+    $createconditional = optional_param('createconditional', NULL);
+    $info = optional_param('info', NULL);
+
+    if (! $cm = get_record("course_modules", "id", $id)) {
+        print_error('invalidcoursemodule');
+    }
+
+    if (! $course = get_record("course", "id", $cm->course)) {
+        print_error('invalidcourse');
+    }
+
+    require_login($course);
+    $context = get_context_instance(CONTEXT_MODULE, $cm->id);
+    require_capability('moodle/local:assigncomments', $context);
+
+    if (! $module = get_record("modules", "id", $cm->module)) {
+        print_error('cmunknown');
+    }
+
+    if (! $activity = get_record($module->name, "id", $cm->instance)) {
+        print_error('cmunknown');
+    }
+
+    if(isset($activityinfo) || isset($createconditional)) {
+        if(isset($info)) {
+            $cm->info = $info;
+            update_record('course_modules', $cm);
+        }
+        if (isset($activityinfo)) {
+            redirect("$CFG->wwwroot/mod/$module->name/view.php?id=$cm->id", get_string("changessaved"), 1);
+        } else if (isset($createconditional)) {
+            redirect("conditions.php?id=$cm->id", get_string("changessaved"), 1);
+        }
+    }
+
+    $overridableroles = get_overridable_roles($context);
+    $assignableroles  = get_assignable_roles($context);
+    $currenttab = 'info';
+    include_once($CFG->dirroot.'/'.$CFG->admin.'/roles/tabs.php');
+
+    print_heading_with_help(get_string('activityinfocreation', 'conditional', $activity->name), 'activityinfocreation', 'conditional');
+
+    echo "<form name='activityinfoform' method='POST' action='activityinfo.php?id=".$cm->id."'>";
+    echo '<center>';
+
+    //$usehtmleditor = can_use_html_editor();
+    //print_textarea($usehtmleditor, 10, 50, 660, 200, "info", $cm->info);
+    print_textarea(0, 10, 50, 660, 200, "info", $cm->info);
+    //if ($usehtmleditor) {
+    //    use_html_editor("info");
+    //}
+
+    echo '<br>';
+    echo '<br>';
+
+    echo '<input type="submit" name="activityinfo" value="'.get_string('savechanges').'">';
+    echo '<input type="submit" name="createconditional" value="'.get_string('createconditional', 'conditional').'">';
+
+    echo '</center>';
+    echo '</form>';
+
+?>
\ No hay ningún carácter de nueva línea al final del fichero
diff -Naur moodle/course/conditional/conditioncreation.php moodle-conditionals/course/conditional/conditioncreation.php
--- moodle/course/conditional/conditioncreation.php	1970-01-01 00:00:00.000000000 +0000
+++ moodle-conditionals/course/conditional/conditioncreation.php	2009-09-16 13:38:34.000000000 +0100
@@ -0,0 +1,71 @@
+<?php
+
+    require_once("../../config.php");
+    require_once("$CFG->dirroot/course/lib.php");
+    require_once("conditionslib.php");
+
+    require_login();
+
+    $id = required_param('id', PARAM_INT);
+    $action = optional_param('action', NULL);
+    $conditionid = optional_param('conditionid', NULL, PARAM_INT);
+    $conditionalinstance = optional_param('instance', NULL, PARAM_INT);
+    $conditiontype = optional_param('conditiontype', NULL);
+    $subtype = optional_param('subtype', NULL);
+    $op = optional_param('op', NULL, PARAM_RAW);
+    $value = optional_param('value', NULL);
+    $day = optional_param('day', NULL);
+    $month = optional_param('month', NULL);
+    $year = optional_param('year', NULL);
+    // If noscript we must expect that params
+    $cancelconditioncreation = optional_param('cancelconditioncreation', NULL);
+
+    if (! $cm = get_record("course_modules", "id", $id)) {
+        print_error('invalidcoursemodule');
+    }
+
+    if (! $course = get_record("course", "id", $cm->course)) {
+        print_error('invalidcourse');
+    }
+
+    require_login($course);
+    $context = get_context_instance(CONTEXT_MODULE, $cm->id);
+    require_capability('moodle/local:createconditionals', $context);
+
+    if (! $module = get_record("modules", "id", $cm->module)) {
+        print_error('cmunknown');
+    }
+
+    if (! $activity = get_record($module->name, "id", $cm->instance)) {
+        print_error('cmunknown');
+    }
+
+    if(isset($conditiontype) and ($action=='cancel' || $cancelconditioncreation)) {
+        redirect("conditions.php?id=$cm->id");
+    }
+
+    if(isset($conditiontype) and $action=='save') {
+        conditional_save($cm->id, $conditiontype, $conditionalinstance, $subtype, $op, $value, $year, $month, $day, $conditionid);
+        redirect("conditions.php?id=$cm->id");
+    }
+
+    $overridableroles = get_overridable_roles($context);
+    $assignableroles  = get_assignable_roles($context);
+    $currenttab = 'locks';
+    include_once($CFG->dirroot.'/'.$CFG->admin.'/roles/tabs.php');
+
+    print_heading_with_help(get_string('conditioncreation', 'conditional', $activity->name), 'conditionalcreation', 'conditional');
+
+    if (!$action) {
+        conditional_define_condition($cm->id, $course->id, $conditionid);
+    } elseif($conditiontype and $action=='createstep1') {
+        conditional_define_condition_step1($cm->id, $conditiontype, $course, $module, $conditionid);
+    } elseif($conditiontype and $action=='createstep2') {
+        conditional_define_condition_step2($cm->id, $conditiontype, $course, $module, $conditionalinstance, $subtype, $op, $value, $conditionid);
+    } elseif($conditiontype and $action=='createstep3') {
+        conditional_define_condition_step3($cm->id, $conditiontype, $conditionalinstance, $subtype, $op, $value, $conditionid);
+    }
+
+    print_footer($course);
+
+?>
\ No hay ningún carácter de nueva línea al final del fichero
